/*************************************************
* Program List for Unix_EntropySource            *
* (C) 1999-2003 The Botan Project                *
*************************************************/

#include <botan/es_unix.h>

namespace Botan {

/*************************************************
* Sources List                                   *
*************************************************/
const Unix_Program Unix_EntropySource::DEFAULT_SOURCES[] = {
   Unix_Program("vmstat",                      1),
   Unix_Program("vmstat",    "-s",             1),
   Unix_Program("pfstat",                      1),
   Unix_Program("netstat",   "-in",            1),
   Unix_Program("iostat",                      2),
   Unix_Program("mpstat",                      2),
   Unix_Program("nfsstat",                     3),
   Unix_Program("portstat",                    3),
   Unix_Program("netstat",   "-s",             2),
   Unix_Program("ps",        "-A",             2),
   Unix_Program("uname",     "-a",             2),
   Unix_Program("ipcs",      "-a",             2),
   Unix_Program("uptime",                      2),
   Unix_Program("ls",        "-alni /tmp",     3),
   Unix_Program("dmesg",                       3),
   Unix_Program("ps",        "aux",            3),
   Unix_Program("rpcinfo",   "-p localhost",   3),
   Unix_Program("mailstats",                   3),
   Unix_Program("finger",                      3),
   Unix_Program("who",                         3),
   Unix_Program("arp",       "-a",             3),
   Unix_Program("df",                          4),
   Unix_Program("last",      "-10",            4),
   Unix_Program("sar",       "-A",             5),
   Unix_Program("lsof",                        5),
   Unix_Program("",                            0)
};

}
